namespace CMSMicroservice.Application.UserOrderCQ.Commands.CancelOrder;

public class CancelOrderCommandValidator : AbstractValidator<CancelOrderCommand>
{
    public CancelOrderCommandValidator()
    {
        RuleFor(v => v.OrderId)
            .GreaterThan(0)
            .WithMessage("شناسه سفارش باید بزرگتر از صفر باشد");
        
        RuleFor(v => v.CancelReason)
            .NotEmpty()
            .WithMessage("دلیل لغو سفارش الزامی است")
            .MaximumLength(500)
            .WithMessage("دلیل لغو نباید بیش از 500 کاراکتر باشد");
    }
}
